<?php
/*
Plugin Name: Random Header
Version: 1.0
Plugin URI: http://www.martinet.nl/wp-site/random-header-plugin
Description: This plugin allows you to add a random header image to your blog.
Author: Kamiel Martinet
Author URI: http://www.martinet.nl/

Copyright (c) 2005
Released under the GPL license
http://www.gnu.org/licenses/gpl.txt

This file is part of WordPress.
WordPress is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

// Add admin page to menu
function randomheader_add_pages() {
    add_options_page('Random header', 'Random header', 6, 'randomheader/options.php');
}
add_action('admin_menu', 'randomheader_add_pages');

function randomheader() {
  $rh_images = get_option('randomheader_images');
  $rh_options = get_option('randomheader_options');
  if ( count($rh_images)>0 ){
    printf('<style type="text/css">#%1$s {background-image:url(%2$s);}</style>',
           $rh_options['header_id'],$rh_images[array_rand($rh_images)]);
  }
}

// assign functions to application hooks
add_action('wp_head', 'randomheader');
?>