<?php 
/*
This file is part of the Spread Firefox wordpress plugin
Kamiel Martinet, http://www.martinet.nl/

Copyright (c) 2005
Released under the GPL license
http://www.gnu.org/licenses/gpl.txt

This file is part of WordPress.
WordPress is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/* Form handling and options init */
  $rh_options = get_option('randomheader_options');
  $rh_images = get_option('randomheader_images');

  // init default options if options aren't found
  if (!$rh_options) {
    $rh_options = array(
      'header_id'        => 'header'
    );
    add_option('randomheader_options',$rh_options);
  }
  if (!$rh_images) {
    $rh_images = array(
    );
    add_option('randomheader_images',$rh_images);
  }

  $message='';

  // handle form submit generic options
  if ( isset($_POST['rh_header_id']) ){
    $rh_options = array(
      'header_id'        => $_POST['rh_header_id'],
    );
    update_option('randomheader_options',$rh_options);
    $message = 'Options where successfully saved.';
  }

  // handle form submit new banner
  if ( isset($_POST['rh_image']) ){
    $rh_images[] = $_POST['rh_image'];
    update_option('randomheader_images',$rh_images);
    $message = 'Image <strong>'.$_POST['rh_image'].'</strong> was added to the list';
  }

  // handle banner delete
  if ( isset($_GET['del_img']) ){
    if ( array_key_exists($_GET['del_img'],$rh_images) )
      unset($rh_images[$_GET['del_img']]);
    update_option('randomheader_images',$rh_images);
    $message = 'Image was deleted';
  }

  if ($message!='') {
    printf('<div class="updated"><p>%s</p></div>',$message);
  }
?>
<div class="wrap">
  <h2>Random header options</h2>
  <form method="post" action="<?php echo $_SERVER['PHP_SELF'].'?page=randomheader/options.php';?>">
  <fieldset class="options">
    <legend>Generic options</legend>
    <table width="100%" cellspacing="2" cellpadding="5" class="editform">
      <tr>
        <th valign="top">Header ID</th>
        <td>
         <input name="rh_header_id" type="text" size="20" value="<?php echo $rh_options['header_id']; ?>"/>
         <br/>This is the ID of the html element your header has in your theme. For the default Kubrick theme this is 'header' if it's anything else change it here.
        </td>
      </tr>
    </table>
  </fieldset>
    <p class="submit">
      <input type="submit" name="Submit" value="Save options &raquo;" />
    </p>
  </form>
</div>

<div class="wrap">
  <h2 id="banner">Header images (<a href="#new">Add new</a>)</h2>
          <table width="100%" cellspacing="3" cellpadding="3">
            <tr>
              <th>Image</th>
              <th width="5%"></th>
            </tr>
<?php
  if (count($rh_images)>0) {
    foreach($rh_images as $key => $image){
      $class = ($key%2==0) ? 'class="alternate"' : '';
      printf('<tr %3$s>
                <td><img src="%2$s" width="600"/></td>
                <td><a href="?page=randomheader/options.php&del_img=%1$d">Delete</a></td>
              </tr>',$key,$image,$class);
    }
  } else {
    echo '<tr><td colspan="3" class="alternate">No images where added to the list</td></tr>';
  }
?>
  </table>
</div>
<script type="text/javascript">
  function previewImage(url){
    var img = new Image();
    img.src=url;
    img.onload = function(){
      document.getElementById('previewImg').src = url;
      document.getElementById('previewImg').style.display = 'block';
    }
  }
</script>
<div class="wrap">
  <h2 id="new">Add new header image</h2>
  <form method="post" action="<?php echo $_SERVER['PHP_SELF'].'?page=randomheader/options.php';?>#banner">
    <table width="100%" cellspacing="2" cellpadding="5" class="editform">
      <tr>
        <th valign="top">Choose an image</th>
        <td>
          <select name="rh_image" onchange="previewImage(this.options[this.selectedIndex].value);" style="width:30%">
            <option value="">Choose an image</option>
<?php
	$image_dir = @dir(get_template_directory().'/images');
	if ($image_dir) {
    $img_dir_uri = get_template_directory_uri().'/images';
		while(($file = $image_dir->read()) !== false) {
			if ( preg_match('/\w*(\.jpg|\.gif|\.png)$/', $file) )
        printf('<option value="%1$s/%2$s">%2$s</option>',$img_dir_uri,$file);
    }
  }
?>
          </select>
        </td>
      </tr>
      <tr>
        <td colspan="2"><img id="previewImg" width="600" src="" style="display:none;"/></td>
      </tr>
    </table>
    <p class="submit">
      <input type="submit" name="Submit" value="Add image &raquo;" />
    </p>
  </form>
</div>